'''
Created on Aug 26, 2010

@author: Dummey
'''
from scenes.home.scene import Home
import scenes.levels as Levels
from scenes.game.scene import Game
from scenes.story.scene import Story

scene_list = []
levels = Levels.Levels
current_level = 0

def goto_homescreen():
    global scene_list
    while len(scene_list) > 1:
        scene_list.pop()
    scene_list.append(Home())

def goto_level(level):
    global current_level, scene_list, levels
    if level < len(levels):
        current_level = level
        scene_list.append(Game(levels[current_level].game_settings))
        scene_list.append(Story(levels[current_level].story))
    else:
        current_level = 0
        scene_list.append(Story(Levels.Fin))
    
def goto_next_level():
    global current_level, scene_list
    scene_list.pop()
    current_level += 1
    goto_level(current_level)
    
def goto_store():
    pass

def update():
    status = scene_list[-1].update()
    if status == True:
        scene_list.pop()
